<p>usuario works!</p>


<button (click)="traerForos()">Ver</button>

<div class="datos">
  <!-- 
  <div class="nombre">
    <span>Nombre:</span><span>{{ user.nombre }}</span>
  </div>
  <div class="correo">
    <span>Correo:</span><span>{{ user.correo }}</span>
  </div>
  <div class="usuario">
    <span>Nombre de usuario:</span><span>{{ user.usuario }}</span>
  </div>
  <div class="gender">
    <span>Genero</span><span>{{ user.genero }}</span>
  </div>
  <div class="cumple">
    <span>cumple</span>
  </div>
  <div class="gender">
    <span>Password</span><span>{{ user | json}}</span>
  </div> -->

  <form [formGroup]="form">

    <!-- <div class="avatar-IMG">
      <img src="../../../../assets/img/logo.png" alt="avatar" class="avatar">
    </div> -->

    <div class="column">
      <div class="columna50">

        <div class="row">
          <mat-form-field appearance="fill" class="ancho">
            <mat-label>Nombre</mat-label>
            <input type="text" matInput
            placeholder="Nombre"
            formControlName="nombre"
            readonly
            >
        
          </mat-form-field>
            <!-- <small class="text-danger" *ngIf="nombreNoValido">Ingrese más de 3 letras</small> -->
        </div>

        <div class="row">
          <mat-form-field class="ancho" appearance="fill" class="ancho">
            <mat-label>Correo</mat-label>
            <input type="text" matInput
            formControlName="correo"
            readonly
            >
          </mat-form-field>

            <!-- <small class="text-danger" *ngIf="correoNoValido">
              Ingrese un correo válido
            </small>
            <small class="text-danger" *ngIf="emailExistente">
              El Correo ya esta en uso
            </small> -->
        </div>

        <div class="row">
          <mat-form-field class="ancho" appearance="fill" class="ancho">
            <mat-label>Usuario</mat-label>
            <input type="text" matInput
            placeholder="Nombre de Usuario"
            formControlName="usuario"
            readonly
            >
          </mat-form-field>
            <!-- <small class="text-danger" *ngIf="usuarioNoValido">
              Ingrese un nombre de usuario
            </small>
            <small class="text-danger" *ngIf="usuarioExistente">
              El nombre de usuario ya esta en uso
            </small> -->
        </div>
      </div>

        <div class="columna50">

            <!-- <mat-form-field class="ancho">appearance="fill" class="ancho"
                <mat-label>Género</mat-label>
                <mat-select formControlName="sexo">
                    <mat-option *ngFor="let item of sexo" [value]="item">
                        {{item}}
                    </mat-option>
                </mat-select>
            </mat-form-field> -->
            <div class="row">
              <mat-form-field appearance="fill" class="ancho">
                <mat-label>Genero</mat-label>
                <mat-select
                formControlName="genero"
                readonly
                >
                  <mat-option value="Femenino">Femenino</mat-option>
                  <mat-option value="Masculino">Masculino</mat-option>
                  <mat-option value="">Ninguno</mat-option>
                </mat-select>
              </mat-form-field>
            </div>



          
          <div class="row">
            <mat-form-field class="ancho" appearance="fill" class="ancho">
              <mat-label>Contraseña</mat-label>
              <input type="password" matInput
              placeholder="Contraseña"
              formControlName="pass1"
              readonly
              >
            </mat-form-field>
          </div>

        </div>
    </div>
    <a href="#" (click)="cerrarSesion()" class="user">Cerrar Sesión <i class="fa-solid fa-right-from-bracket"></i></a>

        <!-- <button type="button" class="btn" >Guardar</button> -->
  </form>

</div>

<br>
<div class="losForos">
  <div class="titulo">
    <h1>Tus Borradores</h1>
  </div>

  <div class="borradores" *ngIf="hayborrador">
    <!-- <button (click)="verBorrador()">ver borrador</button> -->
  </div>

  <div class="borrador">
    <div class="titulo" *ngFor="let element of listaBorrador; let i = index">
      <hr>
      <h1>{{ element.titulo }}</h1>
      <p>{{ element.fecha }}</p>

    <br>
    <button (click)="editarForo(0, element)">Editar</button>
      <hr>
    </div>


  </div>
</div>

<br><br>

<div class="losForos" *ngIf="hayForos">
  <div class="titulo">
    <h1>Tus Foros</h1>
  </div>
  
  <div class="borradores" *ngIf="hayborrador">
    <!-- <button (click)="verBorrador()">ver borrador</button> -->
  </div>
  
  <div class="borrador">
    <div class="titulo" *ngFor="let element of listaForos; let i = index">
      <hr>
      <h1>{{ element.titulo }}</h1>
      <p>{{ element.fecha }}</p>
      
      <br>
      <button (click)="editarForosPublicados(1, element)">ver</button>
    <!-- <button (click)="editarForo(element.seccion, element)">Editar</button> -->
      <hr>
    </div>


  </div>
</div>